<html><title>Shards of Destiny</title>
<body><center>
<img src="L2UI_CH3.herotower_deco" width=256 height=32>
<font color="808000">East</font> vs <font color="E9AB17">West</font>
<br><br><br>
I am proud of you. Your findings gave us knowledge about this land. Currently we do not need to 
explore and plunder it any further.
<br>
<a action="bypass -h Quest 75002_CleanNearbyLands 90032-6.htm">Assemble crystal.</a>
<br>
<img src="L2UI_CH3.herotower_deco" width=256 height=32>
</center></body>
</html>